# [−] [src] Crate chain

## Modules

bigint | Efficient large, fixed-size big integers and hashes.
bytes | Wrapper around `Vec<u8>`
compact | Compact representation of `U256`
constants |
hash | Fixed-size hashes

## Structs

Block |
BlockHeader |
HashedData |
IndexedBlock |
IndexedBlockHeader |
IndexedTransaction |
OutPoint |
Transaction |
TransactionInput |
TransactionOutput |

## Traits

ReadAndHash |
RepresentH256 |

## Functions

merkle_node_hash | Calculate merkle tree node hash
merkle_root | Calculates the root of the merkle tree https://en.bitcoin.it/wiki/Protocol_documentation#Merkle_Trees

## Type Definitions

ShortTransactionID |

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)